How to pick a specific version of ios simulator when running expo from commandline?


#1
  1. I tried the following

exp start -i --simulator="iPhone 7"
But, I get the error saying… error: unknown option `–simulator’

  1. Also How can I make it default to another simulator version on Expo XDE ?

± xcrun simctl list devices
== Devices ==
– iOS 7.1 –
– iOS 8.1 –
– iOS 10.2 –
iPhone 5 (9EE1C456-7E4C-4555-9E6F-AA8FCD07D5F1) (Shutdown)
iPhone 5s (568C9893-A5D9-4208-AD23-7A0D5536523C) (Shutdown)
iPhone 6 (97C7A7CB-F5B1-454F-9D1D-8EF1DC337EFD) (Shutdown)
iPhone 6 Plus (7FFD14D8-D53E-4916-A9D5-7286A12EBCA6) (Shutdown)
iPhone 6s (68904446-700C-40A3-9122-D7BCEAABDC7B) (Shutdown)
iPhone 6s Plus (E1E1869A-28CB-4B7A-9DEA-EFB588A8C04E) (Shutdown)
iPhone 7 (02B13186-3314-4F18-A0E7-6A652AD897A6) (Shutdown)
iPhone 7 Plus (4B104D16-4880-40CE-824F-F744E408567C) (Shutdown)
iPhone SE (D6603011-C422-4256-AA96-A1A17CECD1BD) (Booted)
iPad Retina (636344F5-CC3E-4977-9D88-28E0D1A3563C) (Shutdown)
iPad Air (2198CB6E-D692-428E-A124-06FE3A88264A) (Shutdown)
iPad Air 2 (37F2EB3F-A16C-4A50-91E6-C4C43C074636) (Shutdown)
iPad Pro (9.7 inch) (FBD527C8-599F-46F2-BD0B-A303B553D95A) (Shu


#2

We don’t expose a command line option to do this, but exp start -i will run on whatever version of the simulator you have booted already. You should be able to change under Hardware > Device (which I believe changes the default)